# Intraday account valuation events

Intraday account valuation events

Endpoint: POST Intraday account valuation events
Version: 1.99.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Event type
    Enum: "INTRADAY_ACCOUNT_VALUATION.CREATED"

  - `object` (object, required)

  - `object.id` (string, required)
    Account valuation unique identifier.

  - `object.account_id` (string, required)
    Account unique identifier.

  - `object.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.updated_at` (string, required)
    Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.valuation_time` (string, required)
    Date and time as of which the value was calculated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.total_security_value` (object, required)
    Entity representing the monetary value by amount and currency.

  - `object.total_security_value.amount` (string, required)

  - `object.total_security_value.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
    Enum: "EUR", "GBP"

  - `object.price_quality` (string, required)
    The requested price quality.
* EOD - End of day prices
* HIGHEST_AVAILABLE - The most recent available prices
    Enum: "EOD", "HIGHEST_AVAILABLE"

  - `object.security_positions` (array, required)
    Positions associated with this account valuation.

  - `object.security_positions.instrument` (object, required)
    Entity representing the financial instrument.

  - `object.security_positions.instrument.uuid` (string, required)
    String representing the instrument internal identifier.

  - `object.security_positions.instrument.isin` (string)
    International securities identification number defined by [ISO 6166](https://en.wikipedia.org/wiki/International_Securities_Identification_Number).

  - `object.security_positions.quantity` (string, required)
    Total quantity of the instrument (10 decimal places).

  - `object.security_positions.value` (object,null, required)
    Entity representing the monetary value by amount and currency, and the time of the price used.

  - `object.security_positions.value.amount` (string, required)

  - `object.security_positions.value.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - Pound Sterling
    Enum: "EUR", "GBP"

  - `object.security_positions.value.price_time` (string, required)
    The date and time of the price used for the calculation. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.security_positions.weight` (any, required)
    Total weight of the instrument (10 decimal places).

  - `object.security_positions.price_quality` (string)
    The price quality used for the calculation of the value of the position.
* EOD - end of day price
* REALTIME - realtime price
* DELAYED - delayed price
* NA - no available price
    Enum: "EOD", "REALTIME", "DELAYED", "NA"

  - `webhook_id` (string, required)
    Webhook unique identifier.


## Response 200 fields
